<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'surveyprofield_character', language 'en', version '4.1'.
 *
 * @package     surveyprofield_character
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['custompattern'] = 'custom pattern';
$string['defaultvalue'] = 'Default';
$string['defaultvalue_help'] = 'This is the value the remote user will find answered by default';
$string['free'] = 'free pattern';
$string['ierr_defaultbadlength'] = 'Default is not {$a} character long as implicitly declared in the pattern';
$string['ierr_defaultisnotemail'] = 'Default does not math email pattern';
$string['ierr_defaultisnoturl'] = 'Default does not appear a valid URL';
$string['ierr_extracharfound'] = '{$a} characters are not allowed. Please, use only "A", "a", "*" and "0"';
$string['ierr_minexceeds'] = 'Minimum length has to be positive';
$string['ierr_mingtmax'] = 'Minimum length has be lower than maximum length';
$string['ierr_nopatternmatch'] = 'Default does not match the required pattern';
$string['ierr_noregexmatch'] = 'Default does not match the required regular expression';
$string['ierr_patternisempty'] = 'pattern is missing';
$string['ierr_toolongdefault'] = 'Default has to be shorter-equal than maximum allowed length';
$string['ierr_tooshortdefault'] = 'Default has to be longer-equal than minimum allowed length';
$string['length'] = 'Field width in characters';
$string['length_help'] = 'The width of the field in characters';
$string['mail'] = 'email address';
$string['maxlength'] = 'Maximum length (in characters)';
$string['maxlength_help'] = 'The maximum number of characters allowed for the answer to this question';
$string['minlength'] = 'Minimum length (in characters)';
$string['minlength_help'] = 'The minimum number of characters allowed for the answer to this question';
$string['pattern'] = 'Text pattern';
$string['pattern_help'] = 'If the answer is supposed to fit a specific pattern, define it here using <ul><li>"A" for upper case characters;</li><li>"a" for lower case characters;</li><li>"0" for numbers;</li><li>"*" for to include upper case, lower case, numbers or any other character like, for instance: ,_%."$!\' or spaces.</li></ul>';
$string['pluginname'] = 'Short text';
$string['privacy:metadata'] = 'The "Character" field plugin does not store any personal data.';
$string['regex'] = 'regular expression';
$string['restrictions_custom'] = 'Text is supposed to match the following pattern: "{$a}"';
$string['restrictions_email'] = 'Email is expected here';
$string['restrictions_exact'] = 'Text is supposed to be exactly {$a} characters long';
$string['restrictions_max'] = 'Text is supposed to be shorter-equal than {$a} characters';
$string['restrictions_min'] = 'Text is supposed to be longer-equal than {$a} characters';
$string['restrictions_minmax'] = 'Text length is supposed to range between {$a->minlength} and {$a->maxlength} characters';
$string['restrictions_regex'] = 'Text is supposed to match the following regular expression: "{$a}"';
$string['restrictions_url'] = 'URL is expected here';
$string['uerr_invalidemail'] = 'Text is not a valid email';
$string['uerr_invalidregex'] = 'Regular expression \'{$a}\' is not valid.';
$string['uerr_invalidurl'] = 'Text is not a valid URL';
$string['uerr_nopatternmatch'] = 'Text does not match the required pattern';
$string['uerr_noregexmatch'] = 'Text does not match the required regular expression';
$string['uerr_texttoolong'] = 'Text is too long';
$string['uerr_texttooshort'] = 'Text is too short';
$string['url'] = 'web page URL';
$string['userfriendlypluginname'] = 'Text (short)';
